View Issue Details

IDProjectCategoryView StatusLast Update
0000447SOGoBackend Generalpublic2010-02-23 09:48
Reporterayearout Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.2.1 
Fixed in Version1.2.2 
Summary0000447: Fixes for openSUSE build
Description

Attached patch fixes two issues for compiling SOGo on the openSUSE build service.

The first section pulls in the memcached libraries, which openSUSE 11.2 has trouble finding unless specifically declared.

Second section fixes the following compilation warning:

UIxCalListingActions.m: In function '-[UIxCalListingActions _fetchFields:forComponentOfType:]':
UIxCalListingActions.m:333: warning: assignment makes pointer from integer without a cast

...which causes RPMs to fail building with a 64-bit portability error.

Additional Information

Current build repos for openSUSE can be accessed at:

http://download.opensuse.org/repositories/home:/ayearout:/SOGo/

TagsNo tags attached.

Activities

2010-02-20 21:03

 

sogo-opensuse.diff (776 bytes)   
--- SoObjects/SOGo/GNUmakefile.preamble.orig	2010-02-09 16:10:16.000000000 -0800
+++ SoObjects/SOGo/GNUmakefile.preamble	2010-02-09 16:10:57.000000000 -0800
@@ -8,6 +8,7 @@
 SOGo_LIBRARIES_DEPEND_UPON += \
 	-L../../OGoContentStore/$(GNUSTEP_OBJ_DIR)/ \
 	-L../../SOPE/NGCards/$(GNUSTEP_OBJ_DIR)/ \
+	-lmemcached		\
 	-lOGoContentStore	\
 	-lGDLAccess		\
 	-lNGObjWeb		\
--- UI/Scheduler/UIxCalListingActions.m.orig	2010-02-20 16:24:46.000000000 -0800
+++ UI/Scheduler/UIxCalListingActions.m	2010-02-20 16:25:35.000000000 -0800
@@ -317,7 +317,7 @@
   SOGoAppointmentFolders *clientObject;
   SOGoUser *ownerUser;
   NSString *owner, *role;
-  BOOL isErasable, *folderIsRemote;
+  BOOL isErasable, folderIsRemote;
 
   infos = [NSMutableArray array];
   marker = [NSNull null];
sogo-opensuse.diff (776 bytes)   
ludovic

ludovic

2010-02-23 09:48

administrator   ~0000620

Fixed in http://mtn.inverse.ca/revision/diff/e65f3442ee61d3df5633b88432930be26d886b85/with/ca33a6519e1f5687f227522d966c50c3f6cd6b10

Issue History

Date Modified Username Field Change
2010-02-20 21:03 ayearout New Issue
2010-02-20 21:03 ayearout File Added: sogo-opensuse.diff
2010-02-23 08:59 ludovic Status new => assigned
2010-02-23 08:59 ludovic Assigned To => ludovic
2010-02-23 09:48 ludovic Note Added: 0000620
2010-02-23 09:48 ludovic Status assigned => resolved
2010-02-23 09:48 ludovic Fixed in Version => 1.2.2
2010-02-23 09:48 ludovic Resolution open => fixed